December 29, 2016

Lab 8.1: Error when deploying packstack on mariadb installation

Hi

After launching the packstack installation with:

# packstack --answer-file rdo.txt

I get the following error: 

92.168.98.1_mariadb.pp:                          [ ERROR ]
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.168.98.1_mariad
b.pp

Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install mariad
b' returned 1: Transaction check error:

You will find full trace in log /var/tmp/packstack/20161229-1
24018-H1lghm/manifests/192.168.98.1_mariadb.pp.log

Please check log file /var/tmp/packstack/20161229-124018-H1lg
hm/openstack-setup.log for more information
Additional information:
 * File /root/keystonerc_admin has been created on OpenStack
client host 192.168.98.1. To use the command line tools you n
eed to source the file.

 

From the trace (/var/tmp/packstack/20161229-1
24018-H1lghm/manifests/192.168.98.1_mariadb.pp.log): 

Notice: /Stage[main]/Cinder::Db::Mysql/Openstacklib::Db::Mysq
l[cinder]/Openstacklib::Db::Mysql::Host_access[cinder_%]/Mysq
l_grant[cinder@%/cinder.*]: Dependency Package[mysql_client]
has failures: true
Warning: /Stage[main]/Cinder::Db::Mysql/Openstacklib::Db::Mys
ql[cinder]/Openstacklib::Db::Mysql::Host_access[cinder_%]/Mys
ql_grant[cinder@%/cinder.*]: Skipping because of failed depen
dencies

Error: Could not find a suitable provider for mysql_datadir
Error: Could not find a suitable provider for mysql_user
Error: Could not find a suitable provider for mysql_database
Notice: Finished catalog run in 7.91 seconds

 

I already tried the fix on https://www.linux.com/forums/lfs252-class-forum/lab81-installing-rdo-usi... with the same result

Can you please help me?

Click Here!